package MT::Plugin::TouchMe;
use strict;

use MT;
use MT::Plugin;
use File::Basename;

our $VERSION = "0.1";

@MT::Plugin::TouchMe::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::TouchMe({
	name => 'TouchMe',
	version => $VERSION,
	description => 'Touch Scripts for MovableType on FastCGI.',
	author_name => 'Junnama Noda',
	author_link => 'http://junnama.alfasado.net/online/',
	config_link => '../'.MT->config('AdminScript').'?__mode=touchme',
});

MT->add_plugin($plugin);

sub init_app {
	my $plugin = shift;
	my ($app) = @_;
	return unless $app->isa('MT::App::CMS');
	$app->add_methods(touchme => \&_Touchme);
}

######################################### Mainroutine #########################################

sub _Touchme {
	my $app = shift;
	my $user = $app->user;
	if ($user->is_superuser) {
		my $AdminScript = MT->config('AdminScript');
		my $CommentScript = MT->config('CommentScript');
		my $TrackbackScript = MT->config('TrackbackScript');
		my $SearchScript = MT->config('SearchScript');	
		my $dir = $ENV{SCRIPT_FILENAME};
		$dir = dirname($dir);
		my $redirect_pth = $app->app_uri.'?__mode=list_plugins';
		$AdminScript = "touch $dir/$AdminScript";
		$CommentScript = "touch $dir/$CommentScript";
		$TrackbackScript = "touch $dir/$TrackbackScript";
		$SearchScript = "touch $dir/$SearchScript";
		`$AdminScript`;
		`$CommentScript`;
		`$TrackbackScript`;
		`$SearchScript`;
		$app->redirect($redirect_pth);
		return $redirect_pth;
	} else {
		return 'You don\'t have Permission.';
	}
}

1;